# cubrid_client_encoding

(PECL CUBRID >= 8.3.1)

cubrid_client_encoding — Return the current CUBRID connection charset

### Description

cubrid_client_encoding ([ resource `$conn_identifier` ] ) : string

This function returns the current CUBRID connection charset and is similar to the CUBRID function cubrid_get_charset().

### Parameters

`conn_identifier`

  The CUBRID connection. If the connection identifier is not specified, the last link opened by cubrid_connect() is assumed.

### Return Values

A string that represents the CUBRID connection charset; on success.

`FALSE` on failure.

### Examples

Example #1 cubrid_client_encoding() example

`<?php
$con = cubrid_connect("localhost", 33000, "demodb");
if (!$con)
{
die('Could not connect.');
}
printf("CUBRID current charset: %s\n", cubrid_client_encoding($con));
?>`

The above example will output:

    CUBRID current charset: iso8859-1

### See Also

- cubrid_get_charset() - Return the current CUBRID connection charset